package m05bBD;

/**
 * This class holds information about an order, 
 * which is stored in the database table <tt>m0521t00</tt>. 
 * The table <tt>m0521t00</tt> is defined in the database as follows:
 * <pre>
CREATE TABLE M0521T00 ( 
  DNI_21      	        VARCHAR2 (10)    NOT NULL, 
  NOMBRE_21      	    VARCHAR2 (100), 
  DIREC_21      	    VARCHAR2 (200), 
  CODRANG_P_21          VARCHAR2 (2),
  COD_CARGO_21          VARCHAR2 (10),
  CODDPTO_21            VARCHAR2 (6),
  TELEF_21		        VARCHAR2 (15),
  ACT_IP_21             VARCHAR2(1),
  CODPROVINCIA_21       VARCHAR2(2),
  CODMUNICIPIO_21       VARCHAR2(4),
  CODPOSTAL_21          VARCHAR2(5),
  PRIMARY KEY ( DNI_21 ));
 * </pre>
 * This class follows the convention of a JavaBean.
 *
 */
public class m05bPersonal implements java.io.Serializable{

  private String per_dni    			= "0";
  private String per_nombre    			= "";
  private String per_direc    			= "";
  private String per_telef    			= "";
  private String per_cod_car    		= "";
  private String per_coddpto    		= "";
  private String per_codrango    		= "";
  private String per_actualizable    	= "";
  private String per_tipoper    		= "";
  private String per_codprovincia  		= "";
  private String per_codmunicipio  		= "";
  private String per_codpostal    		= "";  
  
  public String getPer_dni(){return per_dni;} 
  public void setPer_dni(String n){per_dni = n;}
  
  public String getPer_nombre(){return per_nombre;}  
  public void setPer_nombre(String n){per_nombre = n;}
  
  public String getPer_direc(){return per_direc;}  
  public void setPer_direc(String n){per_direc = n;}
  
  public String getPer_telef(){return per_telef;} 
  public void setPer_telef(String n){per_telef = n;}
  
  public String getPer_cod_car(){return per_cod_car;}  
  public void setPer_cod_car(String n){per_cod_car = n;}
  
  public String getPer_coddpto(){return per_coddpto;}  
  public void setPer_coddpto(String n){per_coddpto = n;}
  
  public String getPer_codrango(){return per_codrango;}  
  public void setPer_codrango(String n){per_codrango = n;}
  
  public String getPer_actualizable(){return per_actualizable;}  
  public void setPer_actualizable(String n){per_actualizable = n;}

  public String getPer_codprovincia(){return per_codprovincia;}  
  public void setPer_codprovincia(String n){per_codprovincia = n;}
  
  public String getPer_codmunicipio(){return per_codmunicipio;}  
  public void setPer_codmunicipio(String n){per_codmunicipio = n;}  

  public String getPer_codpostal(){return per_codpostal;}  
  public void setPer_codpostal(String n){per_codpostal = n;}  
  
  
  public String toString(){

    String s = "";
    s += "[DNI personal = " + per_dni + "]";    
    s += "[Nombre personal = " + per_nombre + "]";
    s += "[Direccion personal = " + per_direc + "]";
    s += "[Telefono personal = " + per_telef + "]";
    s += "[Codigo Cargo personal = " + per_cod_car + "]";
    s += "[Codigo Dpto personal = " + per_coddpto + "]";
    s += "[Codigo Rango = " + per_codrango + "]";
    s += "[Codigo Rango = " + per_actualizable + "]";
    s += "[Codigo Provincia = " + per_codprovincia + "]";
    s += "[Codigo Municipio = " + per_codmunicipio + "]";    
    s += "[Codigo Postal = " + per_codpostal + "]";    
    
    return s;
  }
/**
 * @return Returns the per_tipoper.
 */
public String getPer_tipoper() {
	return per_tipoper;
}
/**
 * @param per_tipoper The per_tipoper to set.
 */
public void setPer_tipoper(String per_tipoper) {
	this.per_tipoper = per_tipoper;
}
 }